/* Chrome, Safari and Opera */
body::-webkit-scrollbar {
    display: none;
}

body {
    -ms-overflow-style: none;  /* IE and Edge */
}

#main-container {
    height: 95vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; 
    row-gap: 10vh;
    background-color: var(--dark);
    border-radius: 2.5vh;
    margin: 2.5vh;
    overflow: hidden;
    opacity: 0;
    transition: opacity 1.5s ease-in-out;
}

@media screen and (max-width: 768px) {
    #main-container {
        height: 97vh;
        margin: 1.5vh;
    }
}

/*#region TIME HOURGLASS */

#time-hourglass-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

/*#endregion*/

/*#region TIME COUNTER */

#time-counter-container {
    position: absolute;
    max-width: 75vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 5vh;
    margin-top: 70vh;
}

@media screen and (max-width: 768px) {
    #time-counter-container {
        row-gap: 7.5vw;
    }
}

/*#region TIME COUNTER STATS */

#time-counter-stats-container {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 5vh;
    opacity: 0.25;
}

.time-counter-stat-container {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    column-gap: 1.25vh;
}

.time-counter-stat-container span {
    font-size: 2.5vh;
    color: var(--white);
}

.time-counter-stat-container div {
    font-size: 2vh;
    color: var(--white);
}

@media screen and (max-width: 768px) {
    .time-counter-stat-container span {
        font-size: 4vw;
    }

    .time-counter-stat-container div {
        font-size: 3.5vw;
    }
}

/*#endregion*/

/*#endregion*/